@import "~/src/sass/variables.sass"

.device-controller
  background-color: var(--color-surface, $light-surface)

  border-radius: 20px
  border-style: solid
  border-width: 1px
  border-color: var(--color-outline, $light-outline)

  width: calc(100vw - 40px)
  max-width: 400px

  height: calc((100vw - 30px) / 5.5)
  max-height: 70px

  display: flex

  .device-control-name
    flex: 1

    color: var(--color-on-surface, $light-on-surface)
    font-size: 20px
    line-height: 20px

    display: flex
    justify-content: left
    align-items: center

    padding-left: 1rem

    text-overflow: ellipsis

  .device-control-buttons
    flex: 1
    gap: 10px

    padding: 10px 10px 10px 0px

    display: flex
    align-items: center
    justify-content: space-between

    .device-control-button
      flex: 1
      height: 100%
      margin: 0px

      color: var(--color-on-primary-container, $light-on-primary-container)
      background-color: var(--color-primary-container, $light-primary-container)
      border-radius: 13px

      display: flex
      justify-content: center
      align-items: center

      font-size: 18px


@media (prefers-color-scheme: dark)
  .device-controller
    background-color: var(--color-surface, $dark-surface)
    border-color: var(--color-outline, $dark-outline)

    .device-control-name
      color: var(--color-on-surface, $dark-on-surface)

    .device-control-buttons .device-control-button
      color: var(--color-on-primary-container, $dark-on-primary-container)
      background-color: var(--color-primary-container, $dark-primary-container)